Package com.sap.ai.sdk.orchestration.model

# Class EmbeddingsPostResponse

java.lang.Object
com.sap.ai.sdk.orchestration.model.EmbeddingsPostResponse

public class EmbeddingsPostResponse extends Object
EmbeddingsPostResponse

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `EmbeddingsPostResponse.Builder`
  Builder helper class.
  `static interface`
  `EmbeddingsPostResponse.Builder1`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `EmbeddingsPostResponse()`
  Default constructor for EmbeddingsPostResponse.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EmbeddingsPostResponse.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `EmbeddingsPostResponse` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `EmbeddingsPostResponse`
  `finalResult(EmbeddingsResponse finalResult)`
  Set the finalResult of this `EmbeddingsPostResponse` instance and return the same instance.
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `EmbeddingsPostResponse`.
  `EmbeddingsResponse`
  `getFinalResult()`
  Get finalResult
  `ModuleResultsBase`
  `getIntermediateResults()`
  Get intermediateResults
  `String`
  `getRequestId()`
  Get requestId
  `int`
  `hashCode()`
  `EmbeddingsPostResponse`
  `intermediateResults(ModuleResultsBase intermediateResults)`
  Set the intermediateResults of this `EmbeddingsPostResponse` instance and return the same instance.
  `EmbeddingsPostResponse`
  `requestId(String requestId)`
  Set the requestId of this `EmbeddingsPostResponse` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `EmbeddingsPostResponse` instance.
  `void`
  `setFinalResult(EmbeddingsResponse finalResult)`
  Set the finalResult of this `EmbeddingsPostResponse` instance.
  `void`
  `setIntermediateResults(ModuleResultsBase intermediateResults)`
  Set the intermediateResults of this `EmbeddingsPostResponse` instance.
  `void`
  `setRequestId(String requestId)`
  Set the requestId of this `EmbeddingsPostResponse` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `EmbeddingsPostResponse` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EmbeddingsPostResponse

    protected EmbeddingsPostResponse()
    Default constructor for EmbeddingsPostResponse.

- ## Method Details

  - ### requestId

    @Nonnull public EmbeddingsPostResponse requestId(@Nonnull String requestId)
    Set the requestId of this `EmbeddingsPostResponse` instance and return the same instance.
    Parameters:
      `requestId` - The requestId of this `EmbeddingsPostResponse`
    Returns:
      The same instance of this `EmbeddingsPostResponse` class

  - ### getRequestId

    @Nonnull public String getRequestId()
    Get requestId
    Returns:
      requestId The requestId of this `EmbeddingsPostResponse` instance.

  - ### setRequestId

    public void setRequestId(@Nonnull String requestId)
    Set the requestId of this `EmbeddingsPostResponse` instance.
    Parameters:
      `requestId` - The requestId of this `EmbeddingsPostResponse`

  - ### intermediateResults

    @Nonnull public EmbeddingsPostResponse intermediateResults(@Nullable ModuleResultsBase intermediateResults)
    Set the intermediateResults of this `EmbeddingsPostResponse` instance and return the same instance.
    Parameters:
      `intermediateResults` - The intermediateResults of this `EmbeddingsPostResponse`
    Returns:
      The same instance of this `EmbeddingsPostResponse` class

  - ### getIntermediateResults

    @Nonnull public ModuleResultsBase getIntermediateResults()
    Get intermediateResults
    Returns:
      intermediateResults The intermediateResults of this `EmbeddingsPostResponse` instance.

  - ### setIntermediateResults

    public void setIntermediateResults(@Nullable ModuleResultsBase intermediateResults)
    Set the intermediateResults of this `EmbeddingsPostResponse` instance.
    Parameters:
      `intermediateResults` - The intermediateResults of this `EmbeddingsPostResponse`

  - ### finalResult

    @Nonnull public EmbeddingsPostResponse finalResult(@Nonnull EmbeddingsResponse finalResult)
    Set the finalResult of this `EmbeddingsPostResponse` instance and return the same instance.
    Parameters:
      `finalResult` - The finalResult of this `EmbeddingsPostResponse`
    Returns:
      The same instance of this `EmbeddingsPostResponse` class

  - ### getFinalResult

    @Nonnull public EmbeddingsResponse getFinalResult()
    Get finalResult
    Returns:
      finalResult The finalResult of this `EmbeddingsPostResponse` instance.

  - ### setFinalResult

    public void setFinalResult(@Nonnull EmbeddingsResponse finalResult)
    Set the finalResult of this `EmbeddingsPostResponse` instance.
    Parameters:
      `finalResult` - The finalResult of this `EmbeddingsPostResponse`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `EmbeddingsPostResponse`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `EmbeddingsPostResponse` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `EmbeddingsPostResponse` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `EmbeddingsPostResponse` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static EmbeddingsPostResponse.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `EmbeddingsPostResponse` instance with all required arguments.